#ifndef AVIREAD_H
#define AVIREAD_H
#include <stdio.h>
#include "output.h"
#include "structs.h"
#include "wave.h"
#include "avi.h"
#include "types.h"
#include "defs.h"



//signature define
	#define STATE_AVIH 1
	#define STATE_STRH 2
	#define STATE_NORM 0
	#define STATE_STRF 3
	#define STATE_RAW  4
	#define STATE_STRD 5
	#define STATE_TPL 6
	#define STATE_INFO 7
	#define STATE_NFO1 8
	#define STATE_IDX1 9
	#define STATE_IDX1_SEL 10
int ReadAVIHeader( FILE *riff, MainAVIHeader *avihdr );
// Read avi header from avi file.


int ReadStreams (FILE* file,mem_chunk **str_data,DWORD dwStreams);
/* Read streams (dwStreams) headers to LIST of mem_chunks record (str_data)
from file.
*/

int AviSeek (FILE* file, FOURCC ID);
/* Seek an avi file till found a needed chunk with the ID
return a chunk data size. zero means error.
*/
#endif
